package rwth.i2.ltlrv.management;


/**
 * EvalImplicationTest
 * 
 * @author Eric Bodden
 */
@SuppressWarnings("all")
public class EvalImplicationTest extends EvalAbstractEvaluationTest {

    public EvalImplicationTest() {
        super( f.F(f.Impl(p_a,f.F(q_a))) ); 
    }
    
    public void testPositive() {
        assertFalse(config.isFinal());

        props.add(f.Proposition("p",bindings_actual_a_1));
        config.transition(props);
        assertFalse(config.isFinal());
        
        props.clear();
        
        props.add(f.Proposition("q",bindings_actual_a_1));
        config.transition(props);
        assertTrue(config.isFinal());
    }
    
//    public void testFailWrongBinding() {
//        assertFalse(config.isFinal());
//
//        props.add(f.Proposition("p",bindings_actual_a_1));
//        config.transition(props);
//        assertFalse(config.isFinal());
//        
//        props.clear();
//        
//        //TODO Semantics?
//        props.add(f.Proposition("q",bindings_actual_a_2));
//        config.transition(props);
//        assertFalse(config.isFinal());
//    }
}
